local status_luasnip, ls = pcall(require, 'luasnip')
if (not status_luasnip) then return end

-- Init.
ls.config.set_config {}

-- Snippets.
local snippets = require 'axp.plugins.luasnip.snippets'
for name, snippet in pairs(snippets.list) do
	ls.add_snippets(name, snippet)
end

-- Keymaps.
vim.keymap.set({ 'i', 's' }, '<C-k>', function()
	if ls.expand_or_jumpable() then
		ls.expand_or_jump()
	end
end, { silent = true })
